> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Suggest ontology labels for selected tables/collections (T4.3)

> Infer ontology labels, ER fields, and suggested graph edges.

Accepts the same ``IntrospectedTable`` shape returned by ``/introspect``
for all connector types — connector_type is not needed here.



## OpenAPI

````yaml /api-reference/catalog-api.json post /connectors/suggest-ontology
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /connectors/suggest-ontology:
    post:
      tags:
        - connectors
      summary: Suggest ontology labels for selected tables/collections (T4.3)
      description: |-
        Infer ontology labels, ER fields, and suggested graph edges.

        Accepts the same ``IntrospectedTable`` shape returned by ``/introspect``
        for all connector types — connector_type is not needed here.
      operationId: suggest_ontology_connectors_suggest_ontology_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SuggestOntologyRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuggestOntologyResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SuggestOntologyRequest:
      properties:
        selected_tables:
          items:
            $ref: '#/components/schemas/IntrospectedTable'
          type: array
          title: Selected Tables
      type: object
      required:
        - selected_tables
      title: SuggestOntologyRequest
      description: Works for all connector types — introspect response shape is unified.
    SuggestOntologyResponse:
      properties:
        suggestions:
          items:
            $ref: '#/components/schemas/TableOntologySuggestion'
          type: array
          title: Suggestions
      type: object
      required:
        - suggestions
      title: SuggestOntologyResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IntrospectedTable:
      properties:
        schema:
          type: string
          title: Schema
        table:
          type: string
          title: Table
        columns:
          items:
            $ref: '#/components/schemas/TableColumn'
          type: array
          title: Columns
        foreign_keys:
          items:
            $ref: '#/components/schemas/ForeignKey'
          type: array
          title: Foreign Keys
          default: []
        row_count_estimate:
          type: integer
          title: Row Count Estimate
          default: 0
        is_infrastructure:
          type: boolean
          title: Is Infrastructure
          default: false
        referenced_by:
          items:
            type: string
          type: array
          title: Referenced By
          default: []
      type: object
      required:
        - schema
        - table
        - columns
      title: IntrospectedTable
    TableOntologySuggestion:
      properties:
        table:
          type: string
          title: Table
        label:
          type: string
          title: Label
        confidence:
          type: string
          title: Confidence
        id_field:
          anyOf:
            - type: string
            - type: 'null'
          title: Id Field
        er_fields:
          items:
            type: string
          type: array
          title: Er Fields
        properties:
          items:
            type: string
          type: array
          title: Properties
        suggested_edges:
          items:
            $ref: '#/components/schemas/SuggestedEdge'
          type: array
          title: Suggested Edges
      type: object
      required:
        - table
        - label
        - confidence
        - id_field
        - er_fields
        - properties
        - suggested_edges
      title: TableOntologySuggestion
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TableColumn:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        is_primary_key:
          type: boolean
          title: Is Primary Key
          default: false
        pii_classification:
          type: string
          enum:
            - none
            - hash
            - drop
          title: Pii Classification
          default: none
        sample_values:
          items:
            type: string
          type: array
          title: Sample Values
          default: []
      type: object
      required:
        - name
        - type
      title: TableColumn
    ForeignKey:
      properties:
        column:
          type: string
          title: Column
        references_table:
          type: string
          title: References Table
        references_column:
          type: string
          title: References Column
      type: object
      required:
        - column
        - references_table
        - references_column
      title: ForeignKey
    SuggestedEdge:
      properties:
        from_label:
          type: string
          title: From Label
        to_label:
          type: string
          title: To Label
        edge_type:
          type: string
          title: Edge Type
        via_fk:
          type: string
          title: Via Fk
      type: object
      required:
        - from_label
        - to_label
        - edge_type
        - via_fk
      title: SuggestedEdge

````